### Method

# Atk StateSet contains_states

#### Declaration [src]

    gboolean
    atk_state_set_contains_states (
      AtkStateSet* set,
      AtkStateType* types,
      gint n_types
    )

#### Description [src]

Checks whether the states for all the specified types are in the specified set.

#### Parameters

`types`

  Type: An array of `AtkStateType`

  An array of `AtkStateType`.

  The length of the array is specified in the `n_types` argument.
  The data is owned by the caller of the method.

`n_types`

  Type: `gint`

  The number of elements in the array.

#### Return value

Type: `gboolean`

`TRUE` if all the states for `type` are in `set`.